org.fourthline.cling.model.message.discovery

## Class IncomingNotificationRequest

- java.lang.Object
- - org.fourthline.cling.model.message.UpnpMessage<O>
  - - org.fourthline.cling.model.message.IncomingDatagramMessage<UpnpRequest>
    - - org.fourthline.cling.model.message.discovery.IncomingNotificationRequest

-     public class IncomingNotificationRequest
      extends IncomingDatagramMessage<UpnpRequest>

  Author:
    Christian Bauer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.fourthline.cling.model.message.UpnpMessage

      `UpnpMessage.BodyType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IncomingNotificationRequest(IncomingDatagramMessage<UpnpRequest> source)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getInterfaceMacHeader()`
    `URL` | `getLocationURL()`
    `Integer` | `getMaxAge()`
    `UDN` | `getUDN()`
    `boolean` | `isAliveMessage()`
    `boolean` | `isByeByeMessage()`

    - ### Methods inherited from class org.fourthline.cling.model.message.IncomingDatagramMessage

      `getLocalAddress, getSourceAddress, getSourcePort`

    - ### Methods inherited from class org.fourthline.cling.model.message.UpnpMessage

      `getBody, getBodyBytes, getBodyString, getBodyType, getContentTypeCharset, getContentTypeHeader, getHeaders, getOperation, getUdaMajorVersion, getUdaMinorVersion, hasBody, hasHostHeader, isBodyNonEmptyString, isContentTypeMissingOrText, isContentTypeText, isContentTypeTextUDA, setBody, setBody, setBodyCharacters, setBodyType, setHeaders, setUdaMajorVersion, setUdaMinorVersion, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IncomingNotificationRequest

          public IncomingNotificationRequest(IncomingDatagramMessage<UpnpRequest> source)

  - ### Method Detail

    - #### isAliveMessage

          public boolean isAliveMessage()

    - #### isByeByeMessage

          public boolean isByeByeMessage()

    - #### getLocationURL

          public URL getLocationURL()

    - #### getUDN

          public UDN getUDN()

      Returns:
        The UDN value after parsing various USN header values, or `null`.

    - #### getMaxAge

          public Integer getMaxAge()

    - #### getInterfaceMacHeader

          public byte[] getInterfaceMacHeader()

Copyright © 2014 4th Line GmbH, Switzerland. All Rights Reserved.